Blog Vaška Ambrože

osobní a duchovní rozvoj, informační technologie a všechno ostatní

Bash skript pro aktualizaci operačního systému Debian GNU/Linux

Možná se někomu bude hodit můj skript pro aktualizaci operačního systému Debian GNU/Linux. Nabízím dvě verze, jednu s kompletním výpisem toho, co skript dělá a druhou grafickou a jen se základními informacemi.

Zdrojovový kód pro variantu s kompletním výpisem informací

Zdrojovový kód pro grafickou variantu s minimem informací

Publikováno 07.11. 2023 v 10:51 | Kategorie: Bash, Debian GNU/Linux

Bash skript pro naformátování USB disku na FAT32

Sem tam je potřeba naformátovat si instalační USB klíčenku, aby na ní šlo umístit software, např. pro instalaci nějakého operačního systému apod. V tomto příspěvku bych chtěl sdílet pro linuxové uživatele jednoduchý skript, který na to lze použít. Tady je kompletní kód:

#!/bin/bash

#must run as root
if [[ $EUID -ne 0 ]]; then
   echo "This script must be run as root" 
   exit 1
fi

#variables
disk_device=/dev/sda1
disk_mount_point=/media/usb
disk_label_name="DEBIAN-USB"

#check if the device exists and is a USB disk
if [ ! -b "$disk_device" ] || ! blkid -o value -s ID_BUS "$disk_device" | grep -q "usb"; then
  echo "Device $disk_device is not a USB disk."
  exit 1
fi

#unmount the disk if it's already mounted
if mount | grep -q "$disk_device"; then
  umount -l "$disk_device" || { echo "Failed to unmount $disk_device"; exit 1; }
fi

#format the disk to FAT32 with the specified label
if ! mkfs.vfat -F 32 -n "$disk_label_name" "$disk_device"; then
  echo "Failed to format $disk_device"
  exit 1
fi

#create the mount point if it doesn't exist
if [ ! -d "$disk_mount_point" ]; then
  mkdir -p "$disk_mount_point" || { echo "Failed to create mount point $disk_mount_point"; exit 1; }
fi

#mount the disk
if ! mount "$disk_device" "$disk_mount_point"; then
  echo "Failed to mount $disk_device"
  exit 1
fi

echo "USB disk $disk_device has been successfully formatted and mounted to $disk_mount_point"

Publikováno 14.10. 2023 v 23:10 | Kategorie: Bash, Linux

2024
Web od Vaška